Bug 186422 - deskutils/qtm: Update to version 1.3.15
Summary: deskutils/qtm: Update to version 1.3.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-03 18:40 UTC by tkato432
Modified: 2014-02-07 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.53 KB, patch)
2014-02-03 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-03 18:40:03 UTC
- Update to version 1.3.15

Remove file:
pkg-plist
Comment 1 Martin Wilke freebsd_committer 2014-02-05 07:40:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-02-07 12:52:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-07 12:53:20 UTC
Author: miwi
Date: Fri Feb  7 12:53:12 2014
New Revision: 343220
URL: http://svnweb.freebsd.org/changeset/ports/343220
QAT: https://qat.redports.org/buildarchive/r343220/

Log:
  - Update to 1.3.15
  - Stage support
  
  PR:		186422
  Submitted by:	ports fury

Deleted:
  head/deskutils/qtm/pkg-plist
Modified:
  head/deskutils/qtm/Makefile
  head/deskutils/qtm/distinfo

Modified: head/deskutils/qtm/Makefile
==============================================================================
--- head/deskutils/qtm/Makefile	Fri Feb  7 12:52:51 2014	(r343219)
+++ head/deskutils/qtm/Makefile	Fri Feb  7 12:53:12 2014	(r343220)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	qtm
-PORTVERSION=	1.3.13
+PORTVERSION=	1.3.15
 CATEGORIES=	deskutils
-MASTER_SITES=	SF/catkin/${PORTNAME}-1.3 \
-		http://www.c-s.li/ports/
+MASTER_SITES=	SF/catkin/${PORTNAME}-${PORTVERSION:R}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Blog management application based on Qt 4
@@ -13,20 +12,32 @@ COMMENT=	Blog management application bas
 LICENSE=	GPLv2
 
 USE_BZIP2=	yes
+USES=		cmake
 USE_QT4=	corelib dbus gui network xml \
 		moc_build qmake_build rcc_build uic_build
 USE_OPENSSL=	yes
-USES=		cmake desktop-file-utils
 CMAKE_ARGS=	-DCMAKE_CXX_FLAGS_RELEASE:STRING="-DNDEBUG" \
 		-DMANPAGE_DIRECTORY:STRING="${MANPREFIX}/man/man1" \
 		-DMARKDOWN_LOCATION:STRING="${LOCALBASE}/bin/markdown"
 
-OPTIONS_DEFINE=	DOCS
+PORTDOCS=	Changelog INSTALL README
+PLIST_FILES=	bin/qtm man/man1/qtm.1.gz share/applications/qtm.desktop \
+		share/pixmaps/qtm-logo1.png
+
+OPTIONS_DEFINE=		DOCS
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|icons|pixmaps|' ${WRKSRC}/CMakeLists.txt
+	@${REINPLACE_CMD} -e \
+		's|icons|pixmaps| ; \
+		 /^Categories/s|;X-.*;|;| ; \
+		 /^# /d' ${WRKSRC}/qtm-desktop.sh
 
 post-install:
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-.for doc in Changelog INSTALL README
-	${INSTALL_DATA} ${WRKSRC}/${doc} ${STAGEDIR}${DOCSDIR}
+.for i in Changelog INSTALL README
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
 
 .include <bsd.port.mk>

Modified: head/deskutils/qtm/distinfo
==============================================================================
--- head/deskutils/qtm/distinfo	Fri Feb  7 12:52:51 2014	(r343219)
+++ head/deskutils/qtm/distinfo	Fri Feb  7 12:53:12 2014	(r343220)
@@ -1,2 +1,2 @@
-SHA256 (qtm-1.3.13.tar.bz2) = 810a3d112b11c37ce03e8811e2efa75d5156fb78e0ac876c17696dda80539b8d
-SIZE (qtm-1.3.13.tar.bz2) = 180591
+SHA256 (qtm-1.3.15.tar.bz2) = 6e26c70588427bf4bae63ee0848d83c25329c3d67892c4e799df40f0bea68560
+SIZE (qtm-1.3.15.tar.bz2) = 184899
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"